Subject: bug#10305: coreutils-8.14, "rm -r" fails with EBADF

From: "Joachim Schmitz" <[email-masked]>
Date: Fri, 20 Jul 2012 16:42:26 +0200

> -----Original Message-----
> From: Jim Meyering [mailto:[email-masked]]
> Sent: Friday, July 20, 2012 4:28 PM
> To: Joachim Schmitz
> Cc: 'Paul Eggert'; [email-masked]; [email-masked];
> [email-masked]; 'Schmitz, Joachim'; 'Eric Blake'
> Subject: Re: bug#10305: coreutils-8.14, "rm -r" fails with EBADF
> 
> Joachim Schmitz wrote:
> >> However, note that you're using an old version of coreutils.  In the
> > latest, su.c
> >> has been removed so you can drop the patches to that file.
> >
> > Huh? 8.17 is old? It's the latest I could get and still has src/su.c.
> > Anyway, that patch isn't needed for NonStop anyway, as we need an
> > entirely different authentication method.
> 
> It's removed in git, for the upcoming 8.18 release.
> When you (or anyone) submit patches, we prefer that they be against the
latest
> in git.  See the file, HACKING, for coreutils contribution guidelines.

First I'd need to get git ported to NonStop, this is on my todolist already.
Appare4ny git install needs Python and a new one as had been ported, so that
one's needed first (started that one just yesterday, looks like a relative
easy port so far) and who knows what else is needed...

> >> If no one gets back to you on the other coreutils-specific pieces in
> >> two
> > or three
> >> weeks, please feel free to ping us at [email-masked].
> >
> > OK, I'll check, after my vacation.
> 
> You can make it easier for us to process your coreutils patches by
separating
> them into conceptually-related sets, with commit log entries following
> HACKING's guidelines.

OK, will try in futur...

Would you accept git pull requests?

Bye, Jojo